diff -Nru sogo-5.0.1/Documentation/SOGoInstallationGuide.asciidoc sogo-5.2.0/Documentation/SOGoInstallationGuide.asciidoc
--- sogo-5.0.1/Documentation/SOGoInstallationGuide.asciidoc	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/Documentation/SOGoInstallationGuide.asciidoc	2021-08-18 21:35:57.000000000 +0200
@@ -1,16 +1,13 @@
 Installation and Configuration Guide
 ====================================
-:toc: left
-:icons: font
-
 ////
 
     This file is part of the SOGo project.
 
-    See docinfo.xml for authors, copyright and license information.
+    See includes/global-attributes.asciidoc
+    for authors, copyright and license information.
 
 ////
-
 include::includes/global-attributes.asciidoc[]
 
 About this Guide
@@ -165,10 +162,10 @@
 
 The following operating systems are currently supported by SOGo:
 
-* Red Hat Enterprise Linux (RHEL) Server 6, 7 and 8
-* Community ENTerprise Operating System (CentOS) 6, 7 and 8
-* Debian GNU/Linux 6.0 (Squeeze), 7.0 (Wheezy), 8.0 (Jessie), 9.0 (Stretch) and 10.0 (Buster)
-* Ubuntu 12.04 (Precise), 14.04 (Trusty), 16.04 (Xenial), 18.04 (Bionic) and 20.04 (Focal)
+* Red Hat Enterprise Linux (RHEL) Server 7 and 8
+* Community ENTerprise Operating System (CentOS) 7 and 8
+* Debian GNU/Linux 7.0 (Wheezy), 8.0 (Jessie), 9.0 (Stretch) and 10.0 (Buster)
+* Ubuntu 14.04 (Trusty), 16.04 (Xenial), 18.04 (Bionic) and 20.04 (Focal)
 
 Make sure the required components are started automatically at boot time
 and that they are running before proceeding with the SOGo configuration.
@@ -334,7 +331,7 @@
 To identify the level in which each parameter can be defined, we use the
 following abbreviations in the tables of this document:
 
-[cols="^3,97"]
+[cols="^5,95"]
 |====================================================================
 |S |Parameter exclusive to the system and not configurable per domain
 |D |Parameter exclusive to a domain and not configurable per user
@@ -349,7 +346,7 @@
 
 The following table describes the general parameters that can be set:
 
-[cols="^3,47,50a"]
+[cols="^4,46,50a"]
 |=======================================================================
 |S |WOWorkersCount
 |The amount of instances of SOGo that will be spawned
@@ -776,9 +773,16 @@
 |Number of seconds, defaults to 300 (or 5 minutes). Note that _SOGoCacheCleanupInterval_
 must be set to a value equal or higher than _SOGoRequestBlockInterval_.
 
-|D |SOGoXSRFValidationEnabled
-|Parameter used to enable or not XSRF (also known as CSRF) protection in SOGo.
-Default value is `NO`, or disabled.
+|S |SOGoXSRFValidationEnabled
+|Parameter used to enable or not XSRF (Cross-site request forgery, also known as CSRF) protection in
+ SOGo. Make sure your Web server configuration *doesn't* add the `HttpOnly` flag to the `Set-Cookie`
+ header as the CSRF token cookie is intended to be read by the JavaScript by design.
+Default value is `YES`, or enabled.
+
+|D |SOGoUserSources
+|Parameter used to set the LDAP and/or SQL sources used for
+authentication and global address books. Multiple sources can be
+specified as an array of dictionaries.
 
 |=======================================================================
 
@@ -918,16 +922,10 @@
 ----
 
 The following table describes the possible parameters related to a LDAP
-source:
+source defined as a dictionary entry of the _SOGoUserSources_ parameter:
 
-[cols="3,47a,50"]
+[cols="1,2a"]
 |=======================================================================
-.36+^|D |SOGoUserSources
-|Parameter used to set the LDAP and/or SQL sources used for
-authentication and global address books. Multiple sources can be
-specified as an array of dictionaries. A dictionary that defines an LDAP
-source can contain the following values:
-
 |type
 |The type of this user source, set to ldap` for an LDAP source.
 
@@ -992,7 +990,7 @@
 case, SOGo will consider the returned entry to be a resource.
 
 For LDAP-based sources, SOGo can also automatically determine if it's a
-resource if the entry has the calendarresource objectClass set.
+resource if the entry has the `CalendarResource` objectClass set.
 
 |MultipleBookingsFieldName (optional)
 |The value of this attribute is the maximum number of concurrent events
@@ -1057,7 +1055,7 @@
 * `ldaps://127.0.0.1`
 * `ldap://127.0.0.1/????!StartTLS`
 
-|port(deprecated)
+|port (deprecated)
 |Port number of the LDAP server.
 
 A non-default port should be part of the ldap URL in the hostname
@@ -1112,8 +1110,8 @@
 (with read-only access). Note that if set to `NO`, autocompletion will
 not work for entries in this source and thus, freebusy lookups.
 
-|displayName (optional)
-|If set as an address book, the human identification name of the LDAP
+!displayName (optional)
+!If set as an address book, the human identification name of the LDAP
 repository
 
 |listRequiresDot (optional)
@@ -1167,7 +1165,7 @@
 entry of the SOGoUserSources, but can also defined at the domain and/or
 system levels:
 
-[cols="3,47,50a"]
+[cols="^4,46,50a"]
 |=======================================================================
 |D |SOGoLDAPContactInfoAttribute
 |Parameter used to specify an attribute that should appear in
@@ -1274,9 +1272,10 @@
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
 SOGo natively supports C.A.S. authentication. For activating C.A.S.
-authentication you need first to make sure that
-the _SOGoAuthenticationType_ setting is set to `cas` and that
-the _SOGoCASServiceURL_ setting is configured appropriately.
+authentication you need first to make sure that the
+_SOGoAuthenticationType_ setting is set to `cas`,
+_SOGoXSRFValidationEnabled_ is set to `NO` and that the
+_SOGoCASServiceURL_ setting is configured appropriately.
 
 The tricky part shows up when using SOGo as a frontend interface to an
 IMAP server as this imposes constraints needed by the C.A.S. protocol to
@@ -1375,13 +1374,12 @@
 Authenticating using SAML2
 ~~~~~~~~~~~~~~~~~~~~~~~~~~
 
-SOGo natively supports SAML2 authentication. Please refer to the
-documentation of your identity provider and the SAML2 configuration keys
-that are listed above for proper setup. Once a SOGo instance is
-configured properly, the metadata for that instance can be retrieved
-from `http://<hostname>/SOGo/saml2-metadata` for registration with the
-identity provider. SOGo will dynamically generate the metadata based on
-the SOGoSAML2CertificateLocation's content and the SOGo server name.
+SOGo natively supports SAML2 authentication. Please refer to the documentation of your identity
+provider and the SAML2 configuration keys that are listed above for proper setup. Once a SOGo
+instance is configured properly, the metadata for that instance can be retrieved from
+`http://<hostname>/SOGo/saml2-metadata` for registration with the identity provider. SOGo will
+dynamically generate the metadata based on the SOGoSAML2CertificateLocation's content and the SOGo
+server name.
 
 When using https://simplesamlphp.org/[SimpleSAMLphp], make sure the
 convert OID to names by modifying your
@@ -1474,7 +1472,7 @@
 
 The following table describes the parameters that were set:
 
-[cols="3,47,50a"]
+[cols="^4,46,50a"]
 |=======================================================================
 |S |SOGoProfileURL
 |Parameter used to set the database URL so that SOGo can retrieve user
@@ -1575,7 +1573,7 @@
 * SOGo >= 3.1.0
 
 Strongly suggested MySQL configuration settings (innodb* parameters are
-mandatory):
+mandatory *only* for versions lower than 8.0):
 
 ----
 [client]
@@ -1588,9 +1586,9 @@
 character-set-client-handshake = FALSE
 character-set-server           = utf8mb4
 collation-server               = utf8mb4_unicode_ci
-innodb_file_per_table          = TRUE
-innodb_file_format             = barracuda
-innodb_large_prefix            = TRUE
+innodb_file_per_table          = TRUE       # MySQL < 8.0 only
+innodb_file_format             = barracuda  # MySQL < 8.0 only
+innodb_large_prefix            = TRUE       # MySQL < 8.0 only
 ----
 
 CAUTION: Changing InnoDB parameters on an already deployed database server can
@@ -1632,17 +1630,11 @@
 SOGo can use a SQL-based database server for authentication. The
 configuration is very similar to LDAP-based authentication.
 
-The following table describes all the possible parameters related to a
-SQL source:
+The following table describes the possible parameters related to a SQL
+source defined as a dictionary entry of the _SOGoUserSources_ parameter:
 
-[cols="3,47a,50"]
+[cols="1,2a"]
 |=======================================================================
-.21+^|D |SOGoUserSources
-|Parameter used to set the SQL and/or LDAP sources used for
-authentication and global address books. Multiple sources can be
-specified as an array of dictionaries. A dictionary that defines a SQL
-source can contain the following values:
-
 |type
 |The type of this user source, set to `sql` for a SQL source.
 
@@ -1816,7 +1808,7 @@
 
 The following table describes the related parameters.
 
-[cols="3,47,50a"]
+[cols="^4,46,50a"]
 |=======================================================================
 |D |SOGoMailingMechanism
 |Parameter used to set how SOGo sends mail messages. Possible values
@@ -1868,7 +1860,7 @@
 
 The following table describes the related parameters.
 
-[cols="3,47,50a"]
+[cols="^4,46,50a"]
 |=======================================================================
 |U |SOGoDraftsFolderName
 |Parameter used to set the IMAP folder name used to store drafts
@@ -2031,7 +2023,7 @@
 The following additional parameters only affect the Web interface
 behaviour of SOGo.
 
-[cols="3,47,50a"]
+[cols="^4,46,50a"]
 |=======================================================================
 |S |SOGoPageTitle
 |Parameter used to define the Web page title.
@@ -2090,6 +2082,12 @@
 
 Defaults to `NO` when unset.
 
+|D |SOGoMailCertificateEnabled
+|Parameter used to enable S/MIME certificate management from the account editor of the
+preferences window.
+
+Defaults to `YES` when unset.
+
 |U |SOGoSelectedAddressBook
 |Parameter used to specify the address book in which to add unknown mail
 recipients if _SOGoMailAddOutgoingAddresses_ is enabled.
@@ -2412,6 +2410,13 @@
 
 Defaults to `html`.
 
+|U |SOGoMailComposeWindow (optional)
+|Force mail composer window to always open in either the current window
+or in a popup window. Possible values are:
+
+* `inline`
+* `popup`
+
 |S |SOGoEnableEMailAlarms
 |Parameter used to enable email-based alarms on events and tasks.
 
@@ -2584,7 +2589,7 @@
 The following additional parameters only affect SOGo when using multiple
 domains.
 
-[cols="3,47,50a"]
+[cols="^4,46,50a"]
 |=======================================================================
 |S |SOGoEnableDomainBasedUID
 |Parameter used to enable user identification by domain. Users will be
@@ -2805,7 +2810,7 @@
 The following additional parameters only affect SOGo when using
 ActiveSync:
 
-[cols="3,47,50a"]
+[cols="^4,46,50a"]
 |=======================================================================
 |S |SOGoMaximumPingInterval
 |Parameter used to set the maximum amount of time, in seconds, SOGo will
@@ -2855,6 +2860,11 @@
 for EAS Search operations in the GAL.
 
 If not set, it defaults to `102400` bytes, or 100 KB.
+
+|S |SOGoEASSearchInBody
+|Parameter used to enable EAS Search operation in all parts of a message.
+
+Defaults to `NO`, which means to search only in Subject- and From-header.
 |=======================================================================
 
 Please be aware of the following limitations:
@@ -3131,6 +3141,10 @@
 
 [cols="100a"]
 |=======================================================================
+h|5.1.0
+|The XSRF protection is now enabled by default in SOGo. If you use the C.A.S.  mechanisim, you need
+to disable XSRF by adding `SOGoXSRFValidationEnabled = NO` to your configuration file.
+
 h|5.0.0
 |Peer is now verified for TLS connections (SMTP/IMAP/Sieve). If you enabled
 TLS on the local machine (localhost and similar), you need to disable peer
diff -Nru sogo-5.0.1/Documentation/SOGoMobileDevicesConfigurationGuide.asciidoc sogo-5.2.0/Documentation/SOGoMobileDevicesConfigurationGuide.asciidoc
--- sogo-5.0.1/Documentation/SOGoMobileDevicesConfigurationGuide.asciidoc	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/Documentation/SOGoMobileDevicesConfigurationGuide.asciidoc	2021-08-18 21:35:57.000000000 +0200
@@ -1,17 +1,13 @@
 Mobile Devices Configuration Guide
 ==================================
-:toc: left
-:icons: font
-
 ////
 
     This file is part of the SOGo project.
 
-    See SOGo Mobile Devices Configuration-docinfo.xml for authors,
-    copyright and license information.
+    See includes/global-attributes.asciidoc
+    for authors, copyright and license information.
 
 ////
-
 include::includes/global-attributes.asciidoc[]
 
 About this Guide
diff -Nru sogo-5.0.1/Documentation/SOGoMozillaThunderbirdConfigurationGuide.asciidoc sogo-5.2.0/Documentation/SOGoMozillaThunderbirdConfigurationGuide.asciidoc
--- sogo-5.0.1/Documentation/SOGoMozillaThunderbirdConfigurationGuide.asciidoc	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/Documentation/SOGoMozillaThunderbirdConfigurationGuide.asciidoc	2021-08-18 21:35:57.000000000 +0200
@@ -1,17 +1,13 @@
 Mozilla Thunderbird Configuration Guide
 =======================================
-:toc: left
-:icons: font
-
 ////
 
     This file is part of the SOGo project.
 
-    See SOGo Mozilla Thunderbird Configuration Guide-docinfo.xml for
-    authors, copyright and license information.
+    See includes/global-attributes.asciidoc
+    for authors, copyright and license information.
 
 ////
-
 include::includes/global-attributes.asciidoc[]
 
 About this Guide
diff -Nru sogo-5.0.1/Documentation/SOGoOutlookConnectorConfigurationGuide.asciidoc sogo-5.2.0/Documentation/SOGoOutlookConnectorConfigurationGuide.asciidoc
--- sogo-5.0.1/Documentation/SOGoOutlookConnectorConfigurationGuide.asciidoc	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/Documentation/SOGoOutlookConnectorConfigurationGuide.asciidoc	2021-08-18 21:35:57.000000000 +0200
@@ -1,16 +1,13 @@
 Microsoft Outlook CalDAVSynchronizer Configuration Guide
 ========================================================
-:toc: left
-:icons: font
-
 ////
 
     This file is part of the SOGo project.
 
-    See docinfo.xml for authors, copyright and license information.
+    See includes/global-attributes.asciidoc
+    for authors, copyright and license information.
 
 ////
-
 include::includes/global-attributes.asciidoc[]
 
 About this Guide
diff -Nru sogo-5.0.1/.gitignore sogo-5.2.0/.gitignore
--- sogo-5.0.1/.gitignore	1970-01-01 01:00:00.000000000 +0100
+++ sogo-5.2.0/.gitignore	2021-08-18 21:35:57.000000000 +0200
@@ -0,0 +1,30 @@
+*._*
+*.css
+*.pyc
+*.sax
+*.swp
+*.wox/
+*/*/*.SOGo/
+*/*/*/obj/
+*/*/obj/
+*/obj/
+.scss-lint-config.yml_
+ActiveSync/ActiveSync.SOGo
+Documentation/*.docbook
+Documentation/*.pdf
+SoObjects/SOGo/SOGo.framework/
+SoObjects/SOGo/derived_src/
+Tests/*/config.py
+UI/WebServerResources/.bowerrc
+UI/WebServerResources/.sass-cache/
+UI/WebServerResources/bower_components/
+UI/WebServerResources/css/
+UI/WebServerResources/js/*.js
+UI/WebServerResources/js/*.js.map
+UI/WebServerResources/js/vendor/*.js
+UI/WebServerResources/js/vendor/*.js.map
+UI/WebServerResources/node_modules/
+UI/WebServerResources/scss/.sass-cache/
+config.make
+doc
+tags
diff -Nru sogo-5.0.1/packaging/debian/control sogo-5.2.0/packaging/debian/control
--- sogo-5.0.1/packaging/debian/control	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/packaging/debian/control	2021-08-18 21:35:57.000000000 +0200
@@ -1,14 +1,14 @@
 Source: sogo
 Priority: optional
 Maintainer: Inverse Support <support@inverse.ca>
-Build-Depends: debhelper (>= 7.0.15), gobjc | objc-compiler, libgnustep-base-dev, libsope-appserver4.9-dev, libsope-core4.9-dev, libsope-gdl1-4.9-dev, libsope-ldap4.9-dev, libsope-mime4.9-dev, libsope-xml4.9-dev, libmemcached-dev, libxml2-dev, libsbjson-dev, libssl-dev, libcurl4-openssl-dev | libcurl4-gnutls-dev, libwbxml2-dev (>= 0.11.2), liblasso3-dev (>= 2.3.5), libzip-dev, libsodium-dev (>= 1.0.9) | base-files (<= 9.4ubuntu4)
+Build-Depends: debhelper (>= 7.0.15), gobjc | objc-compiler, libgnustep-base-dev, libsope-appserver4.9-dev, libsope-core4.9-dev, libsope-gdl1-4.9-dev, libsope-ldap4.9-dev, libsope-mime4.9-dev, libsope-xml4.9-dev, libmemcached-dev, libxml2-dev, libsbjson-dev, libssl-dev, libcurl4-openssl-dev | libcurl4-gnutls-dev, libwbxml2-dev (>= 0.11.2), liblasso3-dev (>= 2.3.5), libytnef0-dev (>= 1.9.3), libzip-dev, libsodium-dev (>= 1.0.9) | base-files (<= 9.4ubuntu4)
 Section: web
 Standards-Version: 3.9.1
 
 Package: sogo
 Section: web
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, sope4.9-libxmlsaxdriver, sope4.9-db-connector, gnustep-make, libcurl3 | libcurl4, libzip1 | libzip2 | libzip4 | libzip5, liblasso3 (>= 2.3.5)
+Depends: ${shlibs:Depends}, ${misc:Depends}, sope4.9-libxmlsaxdriver, sope4.9-db-connector, gnustep-make, libcurl3 | libcurl4, libytnef0 (>= 1.9.3), libzip1 | libzip2 | libzip4 | libzip5, liblasso3 (>= 2.3.5)
 Recommends: memcached, apache2 | nginx | httpd
 Description: a modern and scalable groupware
  SOGo is a groupware server built around OpenGroupware.org (OGo) and
diff -Nru sogo-5.0.1/packaging/debian/rules sogo-5.2.0/packaging/debian/rules
--- sogo-5.0.1/packaging/debian/rules	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/packaging/debian/rules	2021-08-18 21:35:57.000000000 +0200
@@ -5,12 +5,7 @@
 
 DESTDIR=$(CURDIR)/debian/tmp
 DIST_CODENAME=$(shell lsb_release -cs)
-
-# Debian 6
-ifeq ($(DIST_CODENAME), squeeze)
 SAML2_CONFIG=--enable-saml2
-SODIUM_CONFIG=--disable-sodium
-endif
 
 # Debian 7
 ifeq ($(DIST_CODENAME), wheezy)
diff -Nru sogo-5.0.1/packaging/rhel/sogo.spec sogo-5.2.0/packaging/rhel/sogo.spec
--- sogo-5.0.1/packaging/rhel/sogo.spec	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/packaging/rhel/sogo.spec	2021-08-18 21:35:57.000000000 +0200
@@ -1,12 +1,5 @@
 %{!?sogo_major_version: %global sogo_major_version %(/bin/echo %{sogo_version} | /bin/cut -f 1 -d .)}
 
-# Systemd for fedora >= 17 or el 7
-%if 0%{?fedora} >= 17 || 0%{?rhel} >= 7
-  %global _with_systemd 1
-%else
-  %global _with_systemd 0
-%endif
-
 %define sogo_user sogo
 
 Summary:      SOGo
@@ -21,41 +14,13 @@
 Source:       SOGo-%{sogo_version}.tar.gz
 Prefix:       /usr
 AutoReqProv:  off
-Requires:     gnustep-base >= 1.23, sope%{sope_major_version}%{sope_minor_version}-core, httpd, sope%{sope_major_version}%{sope_minor_version}-core, sope%{sope_major_version}%{sope_minor_version}-appserver, sope%{sope_major_version}%{sope_minor_version}-ldap, sope%{sope_major_version}%{sope_minor_version}-cards >= %{sogo_version}, sope%{sope_major_version}%{sope_minor_version}-gdl1-contentstore >= %{sogo_version}, sope%{sope_major_version}%{sope_minor_version}-sbjson, libmemcached, memcached, libzip
+Requires:     gnustep-base >= 1.23, sope%{sope_major_version}%{sope_minor_version}-core, httpd, sope%{sope_major_version}%{sope_minor_version}-core, sope%{sope_major_version}%{sope_minor_version}-appserver, sope%{sope_major_version}%{sope_minor_version}-ldap, sope%{sope_major_version}%{sope_minor_version}-cards >= %{sogo_version}, sope%{sope_major_version}%{sope_minor_version}-gdl1-contentstore >= %{sogo_version}, sope%{sope_major_version}%{sope_minor_version}-sbjson, lasso, libmemcached, memcached, libcurl, libzip, liboath, libsodium, ytnef
 BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}
-BuildRequires:  gcc-objc gnustep-base gnustep-make sope%{sope_major_version}%{sope_minor_version}-appserver-devel sope%{sope_major_version}%{sope_minor_version}-core-devel sope%{sope_major_version}%{sope_minor_version}-ldap-devel sope%{sope_major_version}%{sope_minor_version}-mime-devel sope%{sope_major_version}%{sope_minor_version}-xml-devel sope%{sope_major_version}%{sope_minor_version}-gdl1-devel sope%{sope_major_version}%{sope_minor_version}-sbjson-devel libmemcached-devel sed libzip-devel %{?oc_build_depends}
-
+BuildRequires:  gcc-objc gnustep-base gnustep-make sope%{sope_major_version}%{sope_minor_version}-appserver-devel sope%{sope_major_version}%{sope_minor_version}-core-devel sope%{sope_major_version}%{sope_minor_version}-ldap-devel sope%{sope_major_version}%{sope_minor_version}-mime-devel sope%{sope_major_version}%{sope_minor_version}-xml-devel sope%{sope_major_version}%{sope_minor_version}-gdl1-devel sope%{sope_major_version}%{sope_minor_version}-sbjson-devel lasso-devel libmemcached-devel sed libcurl-devel libzip-devel liboath-devel libsodium-devel ytnef
 
-# Required by MS Exchange freebusy lookups
-%{?el5:Requires: curl}
-%{?el5:BuildRequires: curl-devel}
-%{?el6:Requires: libcurl}
-%{?el6:BuildRequires: libcurl-devel}
-
-# saml is enabled everywhere except on el5 since its glib2 is prehistoric
 %define saml2_cfg_opts "--enable-saml2"
 %define mfa_cfg_opts "--enable-mfa"
-%{?el5:%define saml2_cfg_opts ""}
-%{?el5:%define mfa_cfg_opts ""}
-%{?el6:%define mfa_cfg_opts ""}
-%{?el6:Requires: lasso}
-%{?el6:BuildRequires: lasso-devel}
-%{?el7:Requires: lasso}
-%{?el7:BuildRequires: lasso-devel}
-%{?el7:Requires: liboath}
-%{?el7:BuildRequires: liboath-devel}
-%{?el8:Requires: lasso}
-%{?el8:BuildRequires: lasso-devel}
-%{?el8:Requires: liboath}
-%{?el8:BuildRequires: liboath-devel}
-
-%if 0%{?rhel} >= 7
-Requires: libsodium
-BuildRequires: libsodium-devel
 %define sodium_cfg_opts "--enable-sodium"
-%else
-%define sodium_cfg_opts "--disable-sodium"
-%endif
 
 %description
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
@@ -167,11 +132,7 @@
 
 # ****************************** build ********************************
 %build
-%if 0%{?rhel} >= 7
 . /usr/lib64/GNUstep/Makefiles/GNUstep.sh
-%else
-. /usr/share/GNUstep/Makefiles/GNUstep.sh
-%endif
 ./configure %saml2_cfg_opts %mfa_cfg_opts %sodium_cfg_opts
 
 case %{_target_platform} in
@@ -204,13 +165,8 @@
      CC="$cc" LDFLAGS="$ldflags" \
      install
 
-%if 0%{?_with_systemd}
-  install -d  ${RPM_BUILD_ROOT}/usr/lib/systemd/system/
-%else
-  install -d  ${RPM_BUILD_ROOT}/etc/init.d
-%endif
-
-install -d  ${RPM_BUILD_ROOT}/etc/cron.d
+install -d ${RPM_BUILD_ROOT}/usr/lib/systemd/system/
+install -d ${RPM_BUILD_ROOT}/etc/cron.d
 install -d ${RPM_BUILD_ROOT}/etc/cron.daily
 install -d ${RPM_BUILD_ROOT}/etc/logrotate.d
 install -d ${RPM_BUILD_ROOT}/etc/sysconfig
@@ -227,18 +183,11 @@
 cp Scripts/tmpwatch ${RPM_BUILD_ROOT}/etc/cron.daily/sogo-tmpwatch
 chmod 755 ${RPM_BUILD_ROOT}/etc/cron.daily/sogo-tmpwatch
 cp Scripts/logrotate ${RPM_BUILD_ROOT}/etc/logrotate.d/sogo
-
-%if 0%{?_with_systemd}
-  cp Scripts/sogo-systemd-redhat ${RPM_BUILD_ROOT}/usr/lib/systemd/system/sogod.service
-  chmod 644 ${RPM_BUILD_ROOT}/usr/lib/systemd/system/sogod.service
-  mkdir ${RPM_BUILD_ROOT}/etc/tmpfiles.d
-  cp Scripts/sogo-systemd.conf ${RPM_BUILD_ROOT}/etc/tmpfiles.d/sogo.conf
-  chmod 644 ${RPM_BUILD_ROOT}/etc/tmpfiles.d/sogo.conf
-%else
-  cp Scripts/sogo-init.d-redhat ${RPM_BUILD_ROOT}/etc/init.d/sogod
-  chmod 755 ${RPM_BUILD_ROOT}/etc/init.d/sogod
-%endif
-
+cp Scripts/sogo-systemd-redhat ${RPM_BUILD_ROOT}/usr/lib/systemd/system/sogod.service
+chmod 644 ${RPM_BUILD_ROOT}/usr/lib/systemd/system/sogod.service
+mkdir ${RPM_BUILD_ROOT}/etc/tmpfiles.d
+cp Scripts/sogo-systemd.conf ${RPM_BUILD_ROOT}/etc/tmpfiles.d/sogo.conf
+chmod 644 ${RPM_BUILD_ROOT}/etc/tmpfiles.d/sogo.conf
 cp Scripts/sogo-default ${RPM_BUILD_ROOT}/etc/sysconfig/sogo
 rm -rf ${RPM_BUILD_ROOT}%{_bindir}/test_quick_extract
 
@@ -258,12 +207,8 @@
 %files -n sogo
 %defattr(-,root,root,-)
 
-%if 0%{?_with_systemd}
 /usr/lib/systemd/system/sogod.service
 /etc/tmpfiles.d/sogo.conf
-%else
-/etc/init.d/sogod
-%endif
 /etc/cron.daily/sogo-tmpwatch
 %dir %attr(0700, %sogo_user, %sogo_user) %{_var}/lib/sogo
 %dir %attr(0700, %sogo_user, %sogo_user) %{_var}/log/sogo
@@ -360,25 +305,15 @@
 # make shells scripts in documentation directory executable
 find %{_docdir}/ -name '*.sh' -exec chmod a+x {} \;
 
-%if 0%{?_with_systemd}
-  systemctl daemon-reload
-  systemctl enable sogod
-  systemctl try-restart sogod > /dev/null 2>&1
-%else
-  /sbin/chkconfig --add sogod
-  /etc/init.d/sogod condrestart > /dev/null 2>&1
-%endif
+systemctl daemon-reload
+systemctl enable sogod
+systemctl try-restart sogod > /dev/null 2>&1
 
 %preun
 if [ "$1" == "0" ]
 then
-  %if 0%{?_with_systemd}
-    systemctl disable sogod
-    systemctl stop sogod > /dev/null 2>&1
-  %else
-    /sbin/chkconfig --del sogod
-    /sbin/service sogod stop > /dev/null 2>&1
-  %endif
+  systemctl disable sogod
+  systemctl stop sogod > /dev/null 2>&1
 fi
 
 %postun
@@ -393,6 +328,9 @@
 
 # ********************************* changelog *************************
 %changelog
+* Thu May 27 2021 Inverse inc. <support@inverse.ca>
+- Drop support for RHEL/CentOS 6
+
 * Thu Apr 30 2020 Inverse inc. <support@inverse.ca>
 - added liboath requirements for RHELv7
 
diff -Nru sogo-5.0.1/Scripts/logrotate sogo-5.2.0/Scripts/logrotate
--- sogo-5.0.1/Scripts/logrotate	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/Scripts/logrotate	2021-08-18 21:35:57.000000000 +0200
@@ -6,8 +6,6 @@
 	delaycompress
 	notifempty
 	copytruncate
-	# The 'su' parameter is normally not needed but in cases where two
-	# instances of SOGo run in parallel under different UNIX users it
-	# allows proper rotation; requires logrotate >= 3.8.0
-	# su sogo sogo
+	# requires logrotate >= 3.8.0
+	su sogo sogo
 }
diff -Nru sogo-5.0.1/Scripts/sogo.conf sogo-5.2.0/Scripts/sogo.conf
--- sogo-5.0.1/Scripts/sogo.conf	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/Scripts/sogo.conf	2021-08-18 21:35:57.000000000 +0200
@@ -109,7 +109,7 @@
   //SOGoSieveScriptsEnabled = YES;
   //SOGoMailAuxiliaryUserAccountsEnabled = YES;
   //SOGoTrustProxyAuthentication = NO;
-  //SOGoXSRFValidationEnabled = YES;
+  //SOGoXSRFValidationEnabled = NO;
 
   /* General - SOGoTimeZone *MUST* be defined */
   //SOGoLanguage = English;
diff -Nru sogo-5.0.1/Scripts/standard-version-updater.js sogo-5.2.0/Scripts/standard-version-updater.js
--- sogo-5.0.1/Scripts/standard-version-updater.js	1970-01-01 01:00:00.000000000 +0100
+++ sogo-5.2.0/Scripts/standard-version-updater.js	2021-08-18 21:35:57.000000000 +0200
@@ -0,0 +1,10 @@
+module.exports.readVersion = function (contents) {
+  // console.debug('readVersion = ' + contents.match(/([0-9]+)/mg).join('.'));
+  return contents.match(/([0-9]+)/mg).join('.');
+};
+
+module.exports.writeVersion = function (contents, version) {
+  // console.debug('writeVersion = ' + version);
+  const versions = version.split('.');
+  return "MAJOR_VERSION=" + versions[0] + "\nMINOR_VERSION=" + versions[1] + "\nSUBMINOR_VERSION=" + versions[2];
+};
